Index: trunk/libIGCM/AA_create_ts
===================================================================
--- trunk/libIGCM/AA_create_ts	(revision 784)
+++ trunk/libIGCM/AA_create_ts	(revision 785)
@@ -538,228 +538,227 @@
 
 while [ ${CURRENT_LOOP} -le  ${NBRE_TOUR} ] ; do
-      
-    if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then 
-        # - LEVEL 1 : JUST ONE LOOP TO COMPLETE
-	NBRE_FILE_LOOP=${NBRE_FILE_TOT}
-
-        if [ ${FIRST_PASS} = TRUE ] ; then
-	    DATE_COURANTE=${DATE_FIN_JOB_B_LOOP}
-	else
-	    Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN_JOB_B_LOOP} ${config_UserChoices_PeriodLength} )
-	    DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN_JOB_B_LOOP} ${Length} )
-	fi
-
-	DATE_FIN=${PeriodDateEnd}
-	DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP}
-
-	[ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
-	[ -n "${LEVEL}" ] && FLAG_B="TRUE" || FLAG_B="FALSE"
-
-	LEVEL=1
-	DEPOT="TRUE"	 
-    elif [ ${CURRENT_LOOP} -ne  ${NBRE_TOUR} ] ; then
-	# - LEVEL 2 : WE ARE IN THE "DEEP" LOOP
-	NBRE_FILE_LOOP=${UNIX_MAX_LIMIT}
-
-        if [ ! ${FIRST_PASS} = TRUE ] && [ ${CURRENT_LOOP} -eq 1 ] ; then
-	    Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN_JOB_B_LOOP} ${config_UserChoices_PeriodLength} )
-	    DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN_JOB_B_LOOP} ${Length} )
-	elif [ -z "${DATE_COURANTE}" ] ; then
-	    DATE_COURANTE=${DATE_FIN_JOB_B}
-	else
-	    Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN} ${config_UserChoices_PeriodLength} )
-	    DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN} ${Length} )
-	fi
-	 
-	(( TotLength = 0 ))
-	COMPTEUR=1
-	DATE_LOOP=${DATE_COURANTE}
-
-	while [ ${COMPTEUR} -lt ${NBRE_FILE_LOOP} ] ; do
-	    #
-	    Length=$( IGCM_date_DaysInNextPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} )
-	    DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} ${Length} )
-	    (( TotLength = TotLength + Length ))
-	    (( COMPTEUR = COMPTEUR + 1 ))
-	    #
-	done # while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] done
-	DATE_FIN=$( IGCM_date_AddDaysToGregorianDate ${DATE_COURANTE} ${TotLength} )
-
-	[ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP} ; DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
-	[ -n "${LEVEL}" ] && [ ${LEVEL} -eq 0 ] && FLAG_B="TRUE" || [ ${CURRENT_LOOP} -gt 1 ] && FLAG_B="TRUE" || FLAG_B="FALSE"
-	DEPOT="FALSE"
-	LEVEL=2
+
+  if [ ${NBRE_FILE_TOT} -le ${UNIX_MAX_LIMIT} ] ; then 
+    # - LEVEL 1 : JUST ONE LOOP TO COMPLETE
+    NBRE_FILE_LOOP=${NBRE_FILE_TOT}
+
+    if [ ${FIRST_PASS} = TRUE ] ; then
+      DATE_COURANTE=${DATE_FIN_JOB_B_LOOP}
     else
-	# - LEVEL 3 : WE ARE IN THE LAST LOOP
-	NBRE_FILE_LOOP=$(( ${NBRE_FILE_TOT} % ( ${UNIX_MAX_LIMIT} * ( ${CURRENT_LOOP} - 1 ) ) ))
-	[ ${NBRE_FILE_LOOP} -eq 0 ] && NBRE_FILE_LOOP=${UNIX_MAX_LIMIT}
-
-	Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN} ${config_UserChoices_PeriodLength} )
-	DATE_COURANTE=$(IGCM_date_AddDaysToGregorianDate ${DATE_FIN} ${Length} )
-	DATE_FIN=${PeriodDateEnd}
-	[ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP} ; DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
-
-	LEVEL=3
-	DEPOT="TRUE"
-	FLAG_B="TRUE"
+      Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN_JOB_B_LOOP} ${config_UserChoices_PeriodLength} )
+      DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN_JOB_B_LOOP} ${Length} )
     fi
 
-    # THEN FOR EACH FILE TYPE WE LOOP BETWEEN DATE_COURANTE AND DATE_FIN.
-    for comp in ${config_ListOfComponents[*]} ; do
-	#
-	IGCM_sys_Mkdir ${RUN_DIR_PATH}/${comp}
-        #
-	IGCM_sys_Cd ${RUN_DIR_PATH}/${comp}
-	#
-	eval R_OUT_${comp}=${R_SAVE}/${comp}
-	#
-	i=0
-	#
-	for file in $( eval echo \${LISTE_FILE_${comp}[*]} ); do
-	    #
-	    # Determine in which output can we find file
-	    # IE : Output/MO or Output/DA or ...
-	    #
-	    FlagDir=$( echo ${file} | awk -F "_" '{print $1}' )
-	    case ${FlagDir} in
-		*Y)    TS_Dir=TS_YE  ; FreqDir=YE  ;;
-		*M)    TS_Dir=TS_MO  ; FreqDir=MO  ;;
-		*D)    TS_Dir=TS_DA  ; FreqDir=DA  ;;
-		HF)    TS_Dir=TS_HF  ; FreqDir=HF  ;;
-		3H)    TS_Dir=TS_HF  ; FreqDir=HF  ;;
-		INS)   TS_Dir=TS_INS ; FreqDir=INS ;;
-		*) 
-	               IGCM_debug_Print 1 "Error in FlagDir=${FlagDir} for file ${file}."
-		       IGCM_sys_Exit "Job create_ts" ;;
-	    esac
-
-	    # Initialize array
-	    #set -A liste_file
-	    #set -A liste_file_tmp
-	    unset liste_file
-	    unset liste_file_tmp
-	    eval file_path=\${R_OUT_${comp}}/Output/${FreqDir}/
-
-	    COMPTEUR=1
-	    DATE_LOOP=${DATE_COURANTE}
-
-	    while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] ; do
-		#
-		Length1=$( IGCM_date_DaysInPreviousPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} end)
-	        DATE_TAB=$(  IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} $(( 1 - Length1 )) )_${DATE_LOOP}
-
-		Length2=$( IGCM_date_DaysInNextPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} )
-		DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} ${Length2} )
-
-	        #set +A liste_file ${liste_file[*]} ${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
-	        #set +A liste_file_tmp ${liste_file_tmp[*]} ${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
-		liste_file[${#liste_file[*]}]=${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
-		liste_file_tmp[${#liste_file_tmp[*]}]=${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
-	        (( COMPTEUR = COMPTEUR + 1 ))
-		#
-	    done # while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] done
-	    DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} -${Length2} )
-
-	    # Get selected files
-	    IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
-	    IGCM_debug_Verif_Exit_Post
-
-	    # Apply IGCM_Patch if needed
-	    if [ ! X${RebuildFrequency} = Xtrue ] ; then
-		if [ X$( eval echo \${LISTE_PATCHES_${file}[0]} ) !=  X${NULL_STR} ]; then
-		    for file_t in $( eval echo ${liste_file_tmp[*]} ); do		
-			for Patch in $( eval echo \${LISTE_PATCHES_${file}[*]} ); do
-			    IGCM_${Patch} ${file_t}
-			    IGCM_debug_Verif_Exit_Post
-			done
-		    done
-		fi
-	    fi
-
-	    # WE CAN CONCATENATE FILES AT THIS POINT
-	    [ "${FLAG_B}" = "TRUE" ] && DATE_BUILD_B=${DateBegin}_${DATE_FIN_JOB_B_LOOP_PREC}
-	    Length=$( IGCM_date_DaysInPreviousPeriod ${DATE_COURANTE} ${config_UserChoices_PeriodLength} end)
-	    DATE_BUILD1=$( IGCM_date_AddDaysToGregorianDate ${DATE_COURANTE} -$(( Length - 1 )) )
-	    DATE_BUILD=${DATE_BUILD1}_${DATE_FIN}
-	    DATE_BUILD_END=${DateBegin}_${DATE_FIN}
-
-	    liste_coord=" "
-	    for axis in $( eval echo \${LISTE_AXIS_${file}[*]} ); do
-	      liste_coord=${liste_coord}${axis}","
-	    done
-
-	    # Time axis must be the last dimension
-	    time_axis=${axis}
-
-	    # SWITCH BETWEEN MODEL TO FIT PARTICULAR CASE
-	    for var in $( eval echo \${LISTE_VARS_${file}[*]} ) ; do
-	        #
-	        if [ "${FLAG_B}" = "TRUE" ] ; then
-		    # WE CONCATENATE WITH EXISTING FILES
-		    file1=${config_UserChoices_JobName}_${DATE_BUILD_B}_${FlagDir}_${var}.nc
-		    file_out=${config_UserChoices_JobName}_${DATE_BUILD_END}_${FlagDir}_${var}.nc
-		    IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${file1} ${liste_file_tmp[*]} ${file_out}
-		    #
-		    IGCM_sys_Rm ${file1}
-		    if [ ! "${DEPOT}" = "TRUE" ] ; then
-	            	eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}}/Analyse/${TS_Dir}/${file_out}
-			# "${file1} = file_before ?
-			[ ! "${file1}" = "${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file1} ${file_out}
-		    fi
-
-		    ExitFlag=false
-		else
-		    # OR NOT
-		    IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${liste_file_tmp[*]} ${config_UserChoices_JobName}_${DATE_BUILD}_${FlagDir}_${var}.nc
-	        fi
-
-		#
-	        if [ "${DEPOT}" = "TRUE" ] ; then
-		    # WE PUT FINAL FILE ON FILE SYSTEM
-		    [ "${FLAG_B}" = "FALSE" ] && file_out=${config_UserChoices_JobName}_${DATE_BUILD}_${FlagDir}_${var}.nc
-		    file_before=${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc
-		    #
-		    eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}}/Analyse/${TS_Dir}/${file_out}
-		    [ "${FLAG_B}" = "TRUE" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file_before} ${file_out}
-		    if [ ! "X${file1}" = "X" ] ; then
-		    	[ ! "${file1}" = "${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file1} ${file_out}
-		    fi
-		    #
-		    if ( [ ${FlagDir} = "1M" ] && [ -f ${file_out} ] ) ; then
-			file_before_YE=${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_1Y_${var}.nc
-			file_out_YE=${config_UserChoices_JobName}_${DATE_BUILD_END}_1Y_${var}.nc
-			#
-                        # Compute yearly average considering calendar
-                        # and set date of the mid year to 01/07 at 00:00
-			IGCM_sys_cdo -settime,00:00 -setday,1 -setmon,7 -settunits,days -divdpy -yearsum -muldpm -selvar,${var} ${file_out} ${file_out_YE}
-			# Extract all ancillary variables except $var, they will be appended after the cdo command
-			# Needed because cdo applies calculs on all variables
-			IGCM_sys_ncks -Oh -x -v ${var} ${file_out} ${file_out_YE%%.nc}_tmp1.nc
-			# This will remove the time axis because cdo rewrites severely with only considered useful variables
-			IGCM_sys_cdo -mulc,1 ${file_out_YE%%.nc}_tmp1.nc ${file_out_YE%%.nc}_tmp2.nc 2>/dev/null
-			if [ $? -eq 0 ] ; then
-				# Now append all ancillary variables if previous cdo operator ok
-				IGCM_sys_ncks -h -A ${file_out_YE%%.nc}_tmp2.nc ${file_out_YE}
-			fi
-
-			# Put global history attribut
-			IGCM_sys_ncatted -Oh -a history,global,o,c,"build by libIGCM/create_ts" ${file_out_YE}
-			#
-			eval IGCM_sys_Put_Out ${file_out_YE} \${R_OUT_${comp}}/Analyse/TS_MO_YE/${file_out_YE}
-			[ "${FLAG_B}" = "TRUE" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/TS_MO_YE/ ${file_before_YE} ${file_out_YE}
-			IGCM_sys_Rm ${file_out_YE%%.nc}_tmp*.nc
-		    fi
-                    #
-		    IGCM_sys_Rm ${file_out}
-		    ExitFlag=false
-		    #
-	        fi
-		#
-	    done     # for var in ${liste_var} ; do
-	    IGCM_sys_Rm ${liste_file_tmp[*]}
-	done         # for file in ${liste_file_brut} do
-    done             # for comp in ${config_ListOfComponents[*]} ; do
-    # GO AHEAD IN DEEPEST LOOP
-    (( CURRENT_LOOP = CURRENT_LOOP + 1 ))
+    DATE_FIN=${PeriodDateEnd}
+    DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP}
+
+    [ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
+    [ -n "${LEVEL}" ] && FLAG_B="TRUE" || FLAG_B="FALSE"
+
+    LEVEL=1
+    DEPOT="TRUE"       
+  elif [ ${CURRENT_LOOP} -ne  ${NBRE_TOUR} ] ; then
+    # - LEVEL 2 : WE ARE IN THE "DEEP" LOOP
+    NBRE_FILE_LOOP=${UNIX_MAX_LIMIT}
+
+    if [ ! ${FIRST_PASS} = TRUE ] && [ ${CURRENT_LOOP} -eq 1 ] ; then
+      Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN_JOB_B_LOOP} ${config_UserChoices_PeriodLength} )
+      DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN_JOB_B_LOOP} ${Length} )
+    elif [ -z "${DATE_COURANTE}" ] ; then
+      DATE_COURANTE=${DATE_FIN_JOB_B}
+    else
+      Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN} ${config_UserChoices_PeriodLength} )
+      DATE_COURANTE=$( IGCM_date_AddDaysToGregorianDate ${DATE_FIN} ${Length} )
+    fi
+
+    (( TotLength = 0 ))
+    COMPTEUR=1
+    DATE_LOOP=${DATE_COURANTE}
+
+    while [ ${COMPTEUR} -lt ${NBRE_FILE_LOOP} ] ; do
+      #
+      Length=$( IGCM_date_DaysInNextPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} )
+      DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} ${Length} )
+      (( TotLength = TotLength + Length ))
+      (( COMPTEUR = COMPTEUR + 1 ))
+      #
+    done # while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] done
+    DATE_FIN=$( IGCM_date_AddDaysToGregorianDate ${DATE_COURANTE} ${TotLength} )
+
+    [ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP} ; DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
+    [ -n "${LEVEL}" ] && [ ${LEVEL} -eq 0 ] && FLAG_B="TRUE" || [ ${CURRENT_LOOP} -gt 1 ] && FLAG_B="TRUE" || FLAG_B="FALSE"
+    DEPOT="FALSE"
+    LEVEL=2
+  else
+    # - LEVEL 3 : WE ARE IN THE LAST LOOP
+    NBRE_FILE_LOOP=$(( ${NBRE_FILE_TOT} % ( ${UNIX_MAX_LIMIT} * ( ${CURRENT_LOOP} - 1 ) ) ))
+    [ ${NBRE_FILE_LOOP} -eq 0 ] && NBRE_FILE_LOOP=${UNIX_MAX_LIMIT}
+
+    Length=$( IGCM_date_DaysInNextPeriod ${DATE_FIN} ${config_UserChoices_PeriodLength} )
+    DATE_COURANTE=$(IGCM_date_AddDaysToGregorianDate ${DATE_FIN} ${Length} )
+    DATE_FIN=${PeriodDateEnd}
+    [ -n "${DATE_LOOP}" ] && DATE_FIN_JOB_B_LOOP_PREC=${DATE_FIN_JOB_B_LOOP} ; DATE_FIN_JOB_B_LOOP=${DATE_LOOP}
+
+    LEVEL=3
+    DEPOT="TRUE"
+    FLAG_B="TRUE"
+  fi
+
+  # THEN FOR EACH FILE TYPE WE LOOP BETWEEN DATE_COURANTE AND DATE_FIN.
+  for comp in ${config_ListOfComponents[*]} ; do
+    #
+    IGCM_sys_Mkdir ${RUN_DIR_PATH}/${comp}
+      #
+    IGCM_sys_Cd ${RUN_DIR_PATH}/${comp}
+    #
+    eval R_OUT_${comp}=${R_SAVE}/${comp}
+    #
+    i=0
+    #
+    for file in $( eval echo \${LISTE_FILE_${comp}[*]} ); do
+      #
+      # Determine in which output we can find file
+      # IE : Output/MO or Output/DA or ...
+      #
+      FlagDir=$( echo ${file} | awk -F "_" '{print $1}' )
+      case ${FlagDir} in
+        *Y)    TS_Dir=TS_YE  ; FreqDir=YE  ;;
+        *M)    TS_Dir=TS_MO  ; FreqDir=MO  ;;
+        *D)    TS_Dir=TS_DA  ; FreqDir=DA  ;;
+        HF)    TS_Dir=TS_HF  ; FreqDir=HF  ;;
+        3H)    TS_Dir=TS_HF  ; FreqDir=HF  ;;
+        INS)   TS_Dir=TS_INS ; FreqDir=INS ;;
+        *)     IGCM_debug_Print 1 "Error in FlagDir=${FlagDir} for file ${file}."
+               IGCM_sys_Exit "Job create_ts" ;;
+      esac
+
+      # Initialize array
+      #set -A liste_file
+      #set -A liste_file_tmp
+      unset liste_file
+      unset liste_file_tmp
+      eval file_path=\${R_OUT_${comp}}/Output/${FreqDir}/
+
+      COMPTEUR=1
+      DATE_LOOP=${DATE_COURANTE}
+
+      while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] ; do
+        #
+        Length1=$( IGCM_date_DaysInPreviousPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} end)
+        DATE_TAB=$(  IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} $(( 1 - Length1 )) )_${DATE_LOOP}
+
+        Length2=$( IGCM_date_DaysInNextPeriod ${DATE_LOOP} ${config_UserChoices_PeriodLength} )
+        DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} ${Length2} )
+
+        #set +A liste_file ${liste_file[*]} ${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
+        #set +A liste_file_tmp ${liste_file_tmp[*]} ${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
+        liste_file[${#liste_file[*]}]=${file_path}${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
+        liste_file_tmp[${#liste_file_tmp[*]}]=${config_UserChoices_JobName}_${DATE_TAB}_${file}.nc
+        (( COMPTEUR = COMPTEUR + 1 ))
+        #
+      done # while [ ${COMPTEUR} -le ${NBRE_FILE_LOOP} ] done
+      DATE_LOOP=$( IGCM_date_AddDaysToGregorianDate ${DATE_LOOP} -${Length2} )
+
+      # Get selected files
+      IGCM_sys_Get /l liste_file[*] ${RUN_DIR_PATH}/${comp}
+      IGCM_debug_Verif_Exit_Post
+
+      # Apply IGCM_Patch if needed
+      if [ ! X${RebuildFrequency} = Xtrue ] ; then
+        if [ X$( eval echo \${LISTE_PATCHES_${file}[0]} ) !=  X${NULL_STR} ]; then
+          for file_t in $( eval echo ${liste_file_tmp[*]} ); do         
+            for Patch in $( eval echo \${LISTE_PATCHES_${file}[*]} ); do
+              IGCM_${Patch} ${file_t}
+              IGCM_debug_Verif_Exit_Post
+            done
+          done
+        fi
+      fi
+
+      # WE CAN CONCATENATE FILES AT THIS POINT
+      [ "${FLAG_B}" = "TRUE" ] && DATE_BUILD_B=${DateBegin}_${DATE_FIN_JOB_B_LOOP_PREC}
+      Length=$( IGCM_date_DaysInPreviousPeriod ${DATE_COURANTE} ${config_UserChoices_PeriodLength} end)
+      DATE_BUILD1=$( IGCM_date_AddDaysToGregorianDate ${DATE_COURANTE} -$(( Length - 1 )) )
+      DATE_BUILD=${DATE_BUILD1}_${DATE_FIN}
+      DATE_BUILD_END=${DateBegin}_${DATE_FIN}
+
+      liste_coord=" "
+      for axis in $( eval echo \${LISTE_AXIS_${file}[*]} ); do
+        liste_coord=${liste_coord}${axis}","
+      done
+
+      # Time axis must be the last dimension
+      time_axis=${axis}
+
+      # SWITCH BETWEEN MODEL TO FIT PARTICULAR CASE
+      for var in $( eval echo \${LISTE_VARS_${file}[*]} ) ; do
+        #
+        if [ "${FLAG_B}" = "TRUE" ] ; then
+          # WE CONCATENATE WITH EXISTING FILES
+          file1=${config_UserChoices_JobName}_${DATE_BUILD_B}_${FlagDir}_${var}.nc
+          file_out=${config_UserChoices_JobName}_${DATE_BUILD_END}_${FlagDir}_${var}.nc
+          IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${file1} ${liste_file_tmp[*]} ${file_out}
+          #
+          IGCM_sys_Rm ${file1}
+          if [ ! "${DEPOT}" = "TRUE" ] ; then
+            eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}}/Analyse/${TS_Dir}/${file_out}
+            # "${file1} = file_before ?
+            [ ! "${file1}" = "${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file1} ${file_out}
+          fi
+
+          ExitFlag=false
+        else
+          # OR NOT
+          IGCM_sys_ncrcat --hst -v ${liste_coord}${var} ${liste_file_tmp[*]} ${config_UserChoices_JobName}_${DATE_BUILD}_${FlagDir}_${var}.nc
+        fi
+
+        #
+        if [ "${DEPOT}" = "TRUE" ] ; then
+          # WE PUT FINAL FILE ON FILE SYSTEM
+          [ "${FLAG_B}" = "FALSE" ] && file_out=${config_UserChoices_JobName}_${DATE_BUILD}_${FlagDir}_${var}.nc
+          file_before=${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc
+          #
+          eval IGCM_sys_Put_Out ${file_out} \${R_OUT_${comp}}/Analyse/${TS_Dir}/${file_out}
+          [ "${FLAG_B}" = "TRUE" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file_before} ${file_out}
+          if [ ! "X${file1}" = "X" ] ; then
+            [ ! "${file1}" = "${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_${FlagDir}_${var}.nc" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/${TS_Dir} ${file1} ${file_out}
+          fi
+          #
+          if ( [ ${FlagDir} = "1M" ] && [ -f ${file_out} ] ) ; then
+            file_before_YE=${config_UserChoices_JobName}_${DateBegin}_${DATE_FIN_JOB_B}_1Y_${var}.nc
+            file_out_YE=${config_UserChoices_JobName}_${DATE_BUILD_END}_1Y_${var}.nc
+            #
+            # Compute yearly average considering calendar
+            # and set date of the mid year to 01/07 at 00:00
+            IGCM_sys_cdo -settime,00:00 -setday,1 -setmon,7 -settunits,days -divdpy -yearsum -muldpm -selvar,${var} ${file_out} ${file_out_YE}
+            # Extract all ancillary variables except $var, they will be appended after the cdo command
+            # Needed because cdo applies calculs on all variables
+            IGCM_sys_ncks -Oh -x -v ${var} ${file_out} ${file_out_YE%%.nc}_tmp1.nc
+            # This will remove the time axis because cdo rewrites severely with only considered useful variables
+            IGCM_sys_cdo -mulc,1 ${file_out_YE%%.nc}_tmp1.nc ${file_out_YE%%.nc}_tmp2.nc 2>/dev/null
+            if [ $? -eq 0 ] ; then
+              # Now append all ancillary variables if previous cdo operator ok
+              IGCM_sys_ncks -h -A ${file_out_YE%%.nc}_tmp2.nc ${file_out_YE}
+            fi
+
+            # Put global history attribut
+            IGCM_sys_ncatted -Oh -a history,global,o,c,"build by libIGCM/create_ts" ${file_out_YE}
+            #
+            eval IGCM_sys_Put_Out ${file_out_YE} \${R_OUT_${comp}}/Analyse/TS_MO_YE/${file_out_YE}
+            [ "${FLAG_B}" = "TRUE" ] && eval MENAGE \${R_OUT_${comp}}/Analyse/TS_MO_YE/ ${file_before_YE} ${file_out_YE}
+            IGCM_sys_Rm ${file_out_YE%%.nc}_tmp*.nc
+          fi
+          #
+          IGCM_sys_Rm ${file_out}
+          ExitFlag=false
+          #
+        fi
+        #
+      done     # for var in ${liste_var} ; do
+      IGCM_sys_Rm ${liste_file_tmp[*]}
+    done         # for file in ${liste_file_brut} do
+  done             # for comp in ${config_ListOfComponents[*]} ; do
+  # GO AHEAD IN DEEPEST LOOP
+  (( CURRENT_LOOP = CURRENT_LOOP + 1 ))
 done                 # while [ ${CURRENT_LOOP} -le  ${NBRE_TOUR} ] do
 # FINISH
@@ -767,8 +766,8 @@
 # DODS copy
 for comp in ${config_ListOfComponents[*]} ; do
-    for TS_Dir in TS_YE TS_MO TS_MO_YE TS_DA TS_HF TS_INS ; do
-	IGCM_sys_TestDirArchive ${R_SAVE}/${comp}/Analyse/${TS_Dir}
-	[ $? = 0 ] && IGCM_sys_Put_Dods ${comp}/Analyse/${TS_Dir}
-    done
+  for TS_Dir in TS_YE TS_MO TS_MO_YE TS_DA TS_HF TS_INS ; do
+    IGCM_sys_TestDirArchive ${R_SAVE}/${comp}/Analyse/${TS_Dir}
+    [ $? = 0 ] && IGCM_sys_Put_Dods ${comp}/Analyse/${TS_Dir}
+  done
 done
 
@@ -788,6 +787,6 @@
 # --------------------------------------------------------------------
 if ( [ X${TsTask} = X2D ] || [ X${TsTask} = X3D ] || [ X${TsTask} = X ] ) ; then
-    Script_Post_Output=monitoring.${PeriodDateEnd}
-    IGCM_sys_QsubPost monitoring
+  Script_Post_Output=monitoring.${PeriodDateEnd}
+  IGCM_sys_QsubPost monitoring
 fi
 
@@ -797,8 +796,8 @@
 # --------------------------------------------------------------------
 if [ ${StandAlone} != true ] ; then
-    # Put in run.card end period of time series
-    [ X"${DATE_FIN}" = X ] || IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted "${DATE_FIN}"
-    # We have finish the job !
-    IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning "n"
+  # Put in run.card end period of time series
+  [ X"${DATE_FIN}" = X ] || IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesCompleted "${DATE_FIN}"
+  # We have finish the job !
+  IGCM_sys_RshMaster IGCM_card_WriteOption ${SUBMIT_DIR}/run.card PostProcessing TimeSeriesRunning "n"
 fi
 
